unit FirstTime;

(******************************************************************************)
(*                                                                            *)
(* Hermes First Timer Read Me Dialog Box                                      *)
(* Part of Hermes SMTP/POP3 Server.                                           *)
(* Copyright(C) 2000 by Alexander J. Fanti, All Rights Reserver Worldwide.    *)
(*                                                                            *)
(* Created January 28, 2000 by Alexander J. Fanti.  See License.txt           *)
(*                                                                            *)
(* Used by: Main                                                              *)
(* Uses: Main (to open settings dialog)                                       *)
(*                                                                            *)
(* Description: This dialog window tells the first time user the minimum they *)
(*              need to do to get the server operating.                       *)
(*                                                                            *)
(******************************************************************************)

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmFirstTime = class(TForm)
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    lblGeneralSettings: TLabel;
    btnClose: TButton;
    procedure lblGeneralSettingsClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

//var
//  frmFirstTime: TfrmFirstTime;

implementation

uses Main;

{$R *.DFM}

procedure TfrmFirstTime.lblGeneralSettingsClick(Sender: TObject);
begin
  frmMain.mnuSGeneral.Click;
  Close;
end;

procedure TfrmFirstTime.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmFirstTime.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree;
end;

end.
